package cn.com.qmth.examcloud.core.questions.service.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component
public class SysProperty {

    @Value("${upyun.radioType}")
    private String radioType;

    @Value("${upyun.audio.maxsize}")
    private String audioMaxsize;

    @Value("${upyun.downloadDirectory}")
    private String downloadDirectory;

    @Value("${upyun.zipDirectory}")
    private String zipDirectory;

    @Value("${question.reduplicate.similarity}")
    private Double reduplicateSimilarity;

    public String getRadioType() {
        if (radioType != null) {
            return radioType.trim();
        }
        return "";
    }

    public void setRadioType(String radioType) {
        this.radioType = radioType;
    }

    public String getAudioMaxsize() {
        if (audioMaxsize != null) {
            return audioMaxsize.trim();
        }
        return "";
    }

    public void setAudioMaxsize(String audioMaxsize) {
        this.audioMaxsize = audioMaxsize;
    }

    public String getDownloadDirectory() {
        if (downloadDirectory != null) {
            return downloadDirectory.trim();
        }
        return "";
    }

    public void setDownloadDirectory(String downloadDirectory) {
        this.downloadDirectory = downloadDirectory;
    }

    public String getZipDirectory() {
        if (zipDirectory != null) {
            return zipDirectory.trim();
        }
        return "";
    }

    public void setZipDirectory(String zipDirectory) {
        this.zipDirectory = zipDirectory;
    }

    public Double getReduplicateSimilarity() {
        return reduplicateSimilarity;
    }

    public void setReduplicateSimilarity(Double reduplicateSimilarity) {
        this.reduplicateSimilarity = reduplicateSimilarity;
    }

}